## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEmptyDocumentAttributeIterator Class Reference

Document attribute iterator does not return any attributes. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csEmptyDocumentAttributeIterator:

[legend]
List of all members.

## Public Member Functions

virtual bool | HasNext ()
| Are there more elements?
virtual csRef< iDocumentAttribute > | Next ()
| Get next element.

## Detailed Description

Document attribute iterator does not return any attributes.

Definition at line 51 of file documentcommon.h.

## Member Function Documentation

virtual bool csEmptyDocumentAttributeIterator::HasNext | ( |  | ) | `[inline, virtual]`

| Are there more elements? Implements iDocumentAttributeIterator. Definition at line 60 of file documentcommon.h.

virtual csRef<iDocumentAttribute> csEmptyDocumentAttributeIterator::Next | ( |  | ) | `[inline, virtual]`

| Get next element. Implements iDocumentAttributeIterator. Definition at line 61 of file documentcommon.h.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h